summaryrefslogtreecommitdiff
path: root/rushs/tinyprintf/inside_noif
diff options
context:
space:
mode:
Diffstat (limited to 'rushs/tinyprintf/inside_noif')
-rwxr-xr-xrushs/tinyprintf/inside_noif/inside_noif.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/rushs/tinyprintf/inside_noif/inside_noif.sh b/rushs/tinyprintf/inside_noif/inside_noif.sh
new file mode 100755
index 0000000..d4ed8c9
--- /dev/null
+++ b/rushs/tinyprintf/inside_noif/inside_noif.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+[ $# -ne 1 ] && echo Sorry, expected 1 argument but $# were passed && exit 1
+
+[ -f $1 ] && cat $1 && exit 0 || echo "$1:
+ is not a valid file" && exit 2